<?php
/**
 * @author xaboy
 * @day 2020-05-06
 *
 * Copyright (c) http://crmeb.net
 */

use app\common\middleware\RateLimitMiddleware;
use app\common\middleware\SignatureMiddleware;
use think\facade\Route;
Route::miss(function () {
    $DB = DIRECTORY_SEPARATOR;
    return view(app()->getRootPath() . 'public' . $DB . 'system.html');
});
//Route::miss(function(){
//    header('Status: 401 Unauthorized');
//    return "接口不存在";
//});
Route::group('cxb/',function(){
    Route::post('auth', 'api.YiJia/lp');
    Route::post('pension', 'api.YiJia/pension');
})
    ->middleware(\app\common\middleware\IpCheckMiddleware::class)
    ->middleware(\app\common\middleware\CheckYiJiaMiddleware::class);

Route::group('lplplp',function (){
    // Route::get('teamValue',"Admin/User/TeamValue/getInfo");
    Route::get('teamValue/info', 'admin.user.TeamValue/getInfo');
    Route::post('teamValue/edit', 'admin.user.TeamValue/editInfo');
})->middleware(\app\common\middleware\AllowOriginMiddleware::class)
    ->middleware(\app\common\middleware\InstallMiddleware::class)
    ->middleware(\app\common\middleware\CheckSiteOpenMiddleware::class);
Route::group('api/', function () {

    Route::group('thirdParty', function () {
        // 保存第三方商品信息
        Route::post('saveGoodCacheByFit', 'ThirdPartyGoodCacheController/saveGoodCacheByFit');
        // 获取第三方商品信息
        Route::get('getGoodCache', 'ThirdPartyGoodCacheController/getGoodCache');

        Route::group('taobao', function () {
            Route::get('eco/searchProducts', 'EcoController/searchProducts');
            Route::get('eco/getInvitecodeSc', 'EcoController/getInvitecodeSc');
        })->prefix('api.thirdParty.taobao.');
    })->prefix('api.thirdParty.');

    Route::any('huiFuSettleIn','admin.system.merchant.MerchantIntention/huiFuSettleIn');//汇付入驻测试
    Route::any('test', 'api.Auth/test');
    Route::any('queryHaike', 'api.Auth/queryHaike');
    //强制登录
    Route::group(function () {


        //退出登录
        Route::post('logout', 'api.Auth/logout');
        //用户信息
        Route::get('user', 'api.Auth/userInfo');

         //用户升级(贡献值)
         Route::get('user/getconlev', 'api.Auth/getconlev');

        //整合用户登录token
        Route::post('tokenList', 'api.Auth/tokenList');

         //用户贡献值升级
         Route::post('updateUserCon', 'api.Auth/updateUserCon');

        //志愿者信息
        Route::get('userVolunteer', 'api.Auth/userVolunteer');
        //申请成为志愿者
        Route::get('changeVolunteer', 'api.user.User/changeVolunteer');

        //修改密码
        Route::post('auth/oldreset', 'api.Auth/oldreset');
        Route::get('checkAccount', 'api.Auth/checkAccount'); //验证手机号
        Route::get('changeAccount', 'api.Auth/changeAccount'); //更换手机号


        //优惠券
        Route::group('coupon', function () {
            Route::post('receive/:id', 'api.store.product.StoreCoupon/receiveCoupon');
            Route::post('receives', 'api.store.product.StoreCoupon/receivesCoupon');
            Route::get('list', 'api.store.product.StoreCoupon/lst');
        });

        //客服聊天
        Route::group('service', function () {
            Route::get('history/:id', 'api.store.service.Service/chatHistory');
            Route::get('list', 'api.store.service.Service/getList');
            Route::get('mer_history/:merId/:id', 'api.store.service.Service/serviceHistory');
            Route::get('user_list', 'api.store.service.Service/serviceUserList');
        });

        //订单
        Route::group('order', function () {
            Route::post('check', '/checkOrder');
            Route::post('tests/:order_sn', '/tests');
            Route::post('create', '/createOrder');//创建订单
            // Route::post('create', '/createOrderNew');//创建订单
            // 通过 商品ID 商品数量 ，使用商品选用的运费模板 计算邮费
            Route::get('calculatePostage', '/calculatePostage');
            Route::post('delete', '/delete');//删除订单
            Route::post('create_annual_cost', '/create_annual_costorder');
            Route::post('create_activation_code_order', '/create_activation_code_order');
            Route::post('create_channel_order', '/create_channel_order');//渠道商支付订单
            Route::get('group_order_list', '/groupOrderList');
            Route::get('group_order_list2', '/groupOrderList2');
            Route::get('group_order_detail/:id', '/groupOrderDetail');
            Route::get('order_info/:order_sn', '/orderInfo');
            Route::post('cancel/:id', '/cancelGroupOrder');
            Route::get('list', '/lst');//订单列表筛选
            Route::get('all','/getAllOrderByPage');//全部订单列表
            Route::get('search/order', '/search');
            Route::get('detail/:id', '/detail');//订单详情
            Route::get('number', '/number');
            Route::post('pay/:id', '/groupOrderPay');
            Route::post('take/:id', '/take');
            Route::post('test/:id', '/test');
            Route::post('express/:id', '/express');
            Route::get('status/:id', '/groupOrderStatus');
            Route::get('verify_code/:id', '/verifyCode');
            Route::get('remind', '/remind');
            Route::get('check_group_order/:id', '/check_group_order');
            //代付商品分享图片
            Route::get('order_pay_share','/order_pay_share');


        })->prefix('api.store.order.StoreOrder');

        //订单
        Route::group('store_group_order', function () {
            Route::post('create', '/createStoreGroupOrder');//创建订单
        })->prefix('api.store.order.StoreGroupOrder');

        //大仓
        Route::group('warehouse',function (){
            Route::get('UserVipInfo','/UserVipInfo');
        })->prefix('api.warehouse.VipUser');




        //代理订单
        Route::group('agent', function () {
            Route::post('create', '/createOrder');
        })->prefix('api.store.order.AgentOrder');


        //退款单
        Route::group('refund', function () {
            Route::get('batch_product/:id', '/batchProduct');//根据订单id，查询订单是否有可退商品
            Route::get('express/:id', '/express');//根据退货订单id查询待收货的订单信息
            Route::get('product/:id', '/product');//申请根据退货订单id查询退款总金额
            Route::post('apply/:id', '/refund');//申请退货退款
            Route::get('list', '/lst');//退货订单列表
            Route::get('detail/:id', '/detail');//退货订单详情
            Route::post('del/:id', '/del');//删除已退款的退货订单
            Route::post('back_goods/:id', '/back_goods');//退货的订单发货
            Route::post('consult_list/:id', '/consult_list');//退货的协商记录
        })->prefix('api.store.order.StoreRefundOrder');

        //评价
        Route::group('reply', function () {
            Route::get('product', '/product');
            Route::post('reply', '/reply');
            Route::post('delreply/:id', '/delreply');
            Route::post('list', '/list');
        })->prefix('api.store.product.StoreReply');

        //核销
        Route::group('verifier', function () {
            Route::get('order/:id', '/detail');
            Route::get('lst', '/lst');
            Route::post(':id', '/verify');
        })->prefix('api.store.order.StoreOrderVerify');

        //用户
        Route::group('user', function () {
            Route::get('hxim_create', 'User/hxim_create');

            //转链
            Route::get('change/link', 'User/changeLink');

            //切换账号
            Route::get('account', 'User/account');
            Route::post('switch', 'User/switchUser');
            Route::post('update/user', 'User/updateUser');

            //收藏
            Route::get('/relation/product/lst', 'UserRelation/productList');
            Route::get('/relation/merchant/lst', 'UserRelation/merchantList');
            Route::get('/relation/businessSchool/lst', 'UserRelation/businessSchoolList');
            Route::post('/relation/create', 'UserRelation/create');
            Route::post('/relation/batch/create', 'UserRelation/batchCreate');
            Route::post('/relation/batch/create_remove_cart', 'UserRelation/batchCreateRemoveCart');
            Route::post('/relation/delete', 'UserRelation/delete');
            Route::post('/relation/batch/delete', 'UserRelation/batchDelete');

            //反馈
            Route::post('/feedback', 'Feedback/feedback');
            Route::get('/feedback/list', 'Feedback/feedbackList');
            Route::get('/feedback/detail/:id', 'Feedback/detail');
            //充值
            Route::post('/recharge', 'UserRecharge/recharge');
            Route::post('/recharge/brokerage', 'UserRecharge/brokerage');
            //地址
            Route::get('/address/lst', 'UserAddress/lst');
            Route::post('/address/create', 'UserAddress/create');//原地址添加修改接口
            Route::post('/address/new_create', 'UserAddress/new_create');//因供应链商品需要使用这个
            Route::get('/address/detail/:id', 'UserAddress/detail');
            Route::post('/address/update/:id', 'UserAddress/editDefault');
            Route::post('/address/delete/:id', 'UserAddress/delete');

            //分销海报
            Route::get('/spread_image', 'User/spread_image');
            //每日海报
            Route::get('/share_day/filename', 'User/share_day');
            //推广人列表
            Route::get('/spread_list', 'User/spread_list');

            //提现
            Route::get('/extract/lst', 'UserExtract/lst');
            Route::get('/extract/banklst', 'UserExtract/bankLst');
            Route::post('/extract/create', 'UserExtract/create');
            Route::post('/extract/band_account', 'UserExtract/band_account');
            Route::post('/extract/band_openid', 'UserExtract/band_openid');
            Route::post('/extract/get_band_account_info', 'UserExtract/get_band_account_info');

            //绑定手机号
            Route::post('binding', 'User/binding');
            //验证旧手机号
            Route::post('binding_verify', 'User/binding_verify');
            //余额记录
            Route::get('bill', 'User/bill');
            //佣金记录
            Route::get('brokerage_list', 'User/brokerage_list');
            //推广人订单
            Route::get('spread_order', 'User/spread_order');
            //推广人排行榜
            Route::get('spread_top', 'User/spread_top');
            //佣金排行榜
            Route::get('brokerage_top', 'User/brokerage_top');
            Route::get('spread_info', 'User/spread_info');

            //浏览记录
            Route::get('history', 'User/history');
            Route::post('history/delete/:id', 'User/deleteHistory');
            //商品浏览记录以及删除
            Route::post('productHistory', 'User/productHistory');
            Route::post('deleteProductHistory', 'User/deleteProductHistory');
            //获取用户签到记录
            Route::get('get_signin', 'User/get_signin');
            //签到
            Route::get('sub_signin', 'User/sub_signin');
            //提交实名认证
            Route::get('add_certification', 'User/add_certification');
            //全民营销 sat :申请代理
            Route::get('apply_agent', 'User/apply_agent');
            Route::get('agent/pay_detail', 'User/AgentPayDetail');
            Route::get('agent/isagent', 'User/isAgent');

            Route::get('sub_signin', 'User/sub_signin');

            //推广统计
            Route::get('get_extension_info', 'User/get_extension_info');
            //收益统计
            Route::get('get_profit_info', 'User/get_profit_info');
            Route::get('get_com_list', 'User/get_com_list');
            Route::get('get_com_all', 'User/get_com_all');
            //订单统计
            Route::get('get_tuiguang_order', 'User/get_tuiguang_order');

            //攒金明细统计
            Route::get('get_commission_all', 'User/get_commission_all');
            //攒金明细列表
            Route::get('get_commission_list', 'User/get_commission_list');

            //公证处查询
            Route::get('getAmountFromGzc', 'User/getAmountFromGzc');


            //全民营销 end
            //养老金
            Route::get('get_yanglao', 'User/get_yanglao');
            //养老金明细
            Route::get('yanglaolog', 'User/yanglaolog');
            //养老金详情
            Route::get('yanglaodetail/:id', 'User/YangLaoDetail');
            //养老金统计
            Route::get('get_yanglao_statistics', 'User/get_yanglao_statistics');

            //消费明细
            Route::get('tripartite', 'User/tripartite');
            //提现明细
            Route::get('withdrawal', 'User/withdrawal');
            //提现明细
            Route::get('withdrawal/detail', 'User/withdrawalDetail');
            //全民营销 end
            //获取账号绑定信息
            Route::post('getAccount', 'User/getAccount');
            //更新绑定微信支付宝账号
            Route::post('updateAccount', 'User/updateAccount');
            //解绑微信支付宝账号
            Route::post('unbindAccount', 'User/unbindAccount');

            Route::get('doUpgrade', 'Volunteer/doUpgrade');

            //积分签到 20220712
            Route::post('new_sign', 'User/new_sign');
            Route::get('new_sign_info', 'User/new_sign_info');
            Route::get('sign_list', 'User/sign_list');

            //用户年费
            Route::post('check_user_annual_fee',"User/check_user_annual_fee");//检测用户年费状态
            Route::post('create_annual_order',"User/create_annual_order");//创建用户年费订单

            Route::get('red_log',"User/red_log");//红积分

            //申请帮扶中心
            Route::post('apply_bang_fu', 'User/apply_bang_fu');


            Route::get('spread_info_yhc', 'User/spread_info_yhc');//积分

            Route::get('green_integral_list', 'User/green_integral_list');//积分明细
            Route::get('team_list', 'User/team_list');//一壶茶-团队列表
            Route::get('team_list_old', 'User/team_list_old');//一壶茶-团队列表
            Route::get('team_details', 'User/team_details');//一壶茶-团队详情
            Route::get('user_invite_profit_list', 'User/user_invite_profit_list');//一壶茶-团队详情


            //积分明细
            Route::get('score_info', 'User/score_info');
            // 新版我的团队
            Route::get('get_team_list', 'User/get_team_list');
            Route::post('get_team_info', 'User/get_team_info');
            Route::get('get_brokerage_info', 'User/get_brokerage_info');
            Route::post('transition_vr', 'User/transition_vr');
            Route::get('transition_vr_log', 'User/transition_vr_log');
            Route::post('get_token_by_phone', 'User/get_token_by_phone');

            Route::get('hongbao_info','User/hongbao_info');//红包
            Route::get('hongbao_list','User/hongbao_list');//红包记录
            Route::get('gongxian_info','User/gongxian_info');//贡献
            Route::get('gongxian_list','User/gongxian_list');//贡献记录
            Route::get('fugou_info','User/fugou_info');//复购金
            Route::get('fugou_list','User/fugou_list');//复购金记录
            Route::get('jingdou_info','User/jingdou_info');//京豆
            Route::get('jingdou_list','User/jingdou_list');//京豆记录
            Route::get('vr_info','User/vr_info');//购物金
            Route::get('vr_list','User/vr_list');//购物金记录
            Route::get('vr_name','User/vr_name');//VR名称
            Route::post('un_bind', 'User/unBindVxOrAli');//解绑微信或支付宝

        })->prefix('api.user.');

        // 共富区
        Route::group('shareProsperity', function () {
            // 部门
            Route::get('get_share_prosperity_team_list', 'Team/list');
            // 贡献值
            Route::get('get_reward_list', 'Record/list');
        })->prefix('api.shareProsperity.');

        //购物车
        Route::group('user/cart', function () {
            Route::get('/lst', 'StoreCart/lst');
            Route::post('/create', 'StoreCart/create');
            Route::post('/again', 'StoreCart/again');
            Route::post('/change/:id', 'StoreCart/change');
            Route::post('/changeUnique/:id', 'StoreCart/changeUnique');
            Route::post('/delete', 'StoreCart/batchDelete');
            Route::get('/count', 'StoreCart/cartCount');
        })->prefix('api.store.order.');

        //资讯
        Route::group('information', function () {
            Route::get('/postinfo', 'information/postinfo');
            Route::get('/userlist', 'information/userlist');
            Route::get('/editinfo', 'information/editinfo');
            Route::get('/delinfo', 'information/delinfo');
            Route::get('/list', 'information/list');
            Route::get('/postcomment', 'information/postcomment');
            Route::get('/getcomment', 'information/getcomment');
            Route::get('/fabulous', 'information/fabulous');
            Route::get('/report', 'information/report');
            Route::get("/getcommentlist", "information/get_comment_list");
        })->prefix('api.information.');

        //申请商户
        Route::post('intention/create', 'api.store.merchant.MerchantIntention/create');
        Route::post('intention/detail', 'api.store.merchant.MerchantIntention/createJudge');
        Route::get('intention/nianfei', 'api.store.merchant.MerchantIntention/nianfei');//判断商户时候交过年费
        Route::get('intention/code_status', 'api.store.merchant.MerchantIntention/code_status');//填写的激活码能不能使用12


        Route::group('vip', function () {
            //唯品会推广位信息
            Route::get('detailpid', 'Vip/detail_pid');
            //获取唯品会商品详情
//            Route::get('detail', 'Vip/vip_detail');
            //筛选
            Route::get('search', 'Vip/search');
        })->prefix('api.store.product.');


        //筛选
        Route::get('pdd/search', 'api.store.product.TaoKe/search');

        /*淘宝详情*/
        Route::get('tb/detail/:id', 'api.store.product.TaoBao/goodsDetail');
        //淘宝详情立即购买
        Route::get('tb/cps_link/:id', 'api.store.product.TaoBao/getCpsLink');

        Route::get('su/search', 'api.store.product.Su/search');
        // 抖音搜索
        Route::get('dy/get_search', 'api.store.product.Douyin/dy_search');

        // 直播间列表
        Route::get('dy/live_list','api.store.product.Douyin/live_list');
        Route::get('dy/live_product_list','api.store.product.Douyin/product_list');
        Route::get('dy/live_product_share','api.store.product.Douyin/product_share');
        //第三方商品搜索记录
        Route::get('third_history', 'api.store.product.TaoKe/get_third_history');
        //第三方商品搜索记录删除
        Route::get('third_history_delete/:id', 'api.store.product.TaoKe/delete_third_history');

        //银行卡
        Route::get('bank/create', 'api.user.UserBank/createBank');
        Route::post('bank/create', 'api.user.UserBank/createBank');
        Route::get('bank/list', 'api.user.UserBank/listBank');
        Route::get('bank/del/:id', 'api.user.UserBank/delBank');
        Route::get('bank/change/:id', 'api.user.UserBank/changeBank');
        Route::post('bank/change/:id', 'api.user.UserBank/changeBank');


        //积分记录
        Route::get('socre/list', 'api.user.User/socreList');

        //商户功能接口
        Route::get('merchant/index', 'api.merchant.Merchant/index');
        //首页/统计
        Route::get('merchant/report_form', 'api.merchant.Merchant/report_form');
        //返金设置
        Route::get('merchant/set_rebate', 'api.merchant.Merchant/set_rebate');
        Route::get('merchant/set_rebate_linesup', 'api.merchant.Merchant/set_rebate_linesup');
        //最新数据
        Route::get('merchant/newest_data', 'api.merchant.Merchant/newest_data');
        //分店列表
        Route::get('merchant/branch_list', 'api.merchant.Merchant/branch_list');
        //优惠列表
        Route::get('merchant/recharge_list', 'api.merchant.Merchant/recharge_list');
        //添加/编辑优惠
        Route::get('merchant/add_recharge', 'api.merchant.Merchant/add_recharge');
        //编辑优惠返回一条数据
        Route::get('merchant/get_recharge_on', 'api.merchant.Merchant/get_recharge_on');
        //删除一条优惠数据
        Route::get('merchant/del_recharge', 'api.merchant.Merchant/del_recharge');
        //员工管理：添加员工
        Route::get('merchant/add_staff', 'api.merchant.Merchant/add_staff');
        //员工管理：员工列表
        Route::get('merchant/staff_list', 'api.merchant.Merchant/staff_list');
        //员工管理：员工详情
        Route::get('merchant/get_staff_one', 'api.merchant.Merchant/get_staff_one');
        //员工管理：员工编辑
        Route::get('merchant/edit_staff', 'api.merchant.Merchant/edit_staff');
        //员工管理：删除员工
        Route::get('merchant/del_staff', 'api.merchant.Merchant/del_staff');
        //会员管理：会员列表
        Route::get('merchant/mer_user', 'api.merchant.Merchant/mer_user');
        //会员管理：会员详情
        Route::get('merchant/mer_user_info', 'api.merchant.Merchant/mer_user_info');
        //部门管理:添加部门
        Route::get('merchant/add_branch', 'api.merchant.Merchant/add_branch');
        //部门管理:获取部门列表
        Route::get('merchant/get_branch', 'api.merchant.Merchant/get_branch');
        //部门管理:删除部门
        Route::get('merchant/del_branch', 'api.merchant.Merchant/del_branch');
        //部门管理:权限列表
        Route::get('merchant/branch_quanxian', 'api.merchant.Merchant/branch_quanxian');
        //锁定奖励:奖励统计
        Route::get('merchant/lock_count', 'api.merchant.Merchant/lock_count');
        //余额奖励:奖励统计
        Route::get('merchant/count_price', 'api.merchant.Merchant/count_price');
        //绑定音响:lin
        Route::get('merchant/bind_yx', 'api.merchant.Merchant/bind_yx');
        //音响试播:lin
        Route::get('merchant/check_yx', 'api.merchant.Merchant/check_yx');
        //音响信息:lin
        Route::get('merchant/check_yx_info', 'api.merchant.Merchant/check_yx_info');
        //开通消费分
        Route::post('merchant/consumption_score', 'api.merchant.Merchant/consumption_score');
        //消费分查询
        Route::get('merchant/get_consumption_score', 'api.merchant.Merchant/get_consumption_score');
        //消费分记录
        Route::get('merchant/get_consumption_score_list', 'api.merchant.Merchant/get_consumption_score_list');

        //获取付款订单列表
        Route::get('merchant/lst', 'api.merchant.order.OrderMerchant/lst');

        //消息通知
        Route::get('merchant/msg_notice', 'api.merchant.Merchant/msg_notice');
        //删除消息
        Route::get('merchant/del_notice', 'api.merchant.Merchant/del_notice');
        //推荐人管理
        Route::get('merchant/tuijian', 'api.merchant.Merchant/tuijian');
        //添加会员
        Route::get('merchant/add_user', 'api.merchant.Merchant/add_user');
        //折线图
        Route::get('merchant/statistical_chart', 'api.merchant.Merchant/statistical_chart');
        Route::post('merchant/reduce_money', 'api.merchant.Merchant/reduce_money');
        //首页/统计 工作台
        Route::get('serviceprovider/report_form', 'api.serviceprovider.serviceprovider/report_form');
        //名片
        Route::get('serviceprovider/spread_image', 'api.serviceprovider.serviceprovider/spread_image');
        //本周数据:商户数据
        Route::get('serviceprovider/news_mer', 'api.serviceprovider.serviceprovider/news_mer');
        //本周数据:锁定会员
        Route::get('serviceprovider/news_lockuser', 'api.serviceprovider.serviceprovider/news_lockuser');
        //本周数据:会员消费
        Route::get('serviceprovider/user_consume', 'api.serviceprovider.serviceprovider/user_consume');
        //处理会员贡献榜单
        Route::get('serviceprovider/benefit_contribution', 'api.serviceprovider.serviceprovider/benefit_contribution');
        //店铺信息统计
        Route::get('serviceprovider/get_mer_info', 'api.serviceprovider.serviceprovider/get_mer_info');
        //用户信息
        Route::get('serviceprovider/get_user_info', 'api.serviceprovider.serviceprovider/get_user_info');
        //商户贡献榜
        Route::get('serviceprovider/get_mer_list', 'api.serviceprovider.serviceprovider/get_mer_list');
        //我的收益
        Route::get('serviceprovider/get_my_profit', 'api.serviceprovider.serviceprovider/get_my_profit');
        //锁定会员
        Route::get('serviceprovider/lock_user_profit', 'api.serviceprovider.serviceprovider/lock_user_profit');
        //渠道服务费
        Route::get('serviceprovider/channel_service_fee', 'api.serviceprovider.serviceprovider/channel_service_fee');
        //辖区内返利
        Route::get('serviceprovider/rebate_within_jurisdiction', 'api.serviceprovider.serviceprovider/rebate_within_jurisdiction');
        //广告费收益
        Route::get('serviceprovider/advertising_revenue', 'api.serviceprovider.serviceprovider/advertising_revenue');
        //全部会员列表
        Route::get('serviceprovider/user_list', 'api.serviceprovider.serviceprovider/user_list');
        //全部商户列表
        Route::get('serviceprovider/mer_list', 'api.serviceprovider.serviceprovider/mer_list');
        //学习/宣传资料
        Route::get('serviceprovider/means', 'api.serviceprovider.serviceprovider/means');
        //学习/宣传资料详情
        Route::get('serviceprovider/means_info', 'api.serviceprovider.serviceprovider/means_info');
        //统计页面
        Route::get('serviceprovider/countcommission', 'api.serviceprovider.serviceprovider/countcommission');
        //佣金列表
        Route::get('serviceprovider/commissionlist', 'api.serviceprovider.serviceprovider/commissionlist');
        //添加代理
        Route::get('serviceprovider/add_agent', 'api.serviceprovider.serviceprovider/add_agent');
        //编辑代理
        Route::get('serviceprovider/edit_agent', 'api.serviceprovider.serviceprovider/edit_agent');
        //获取一条代理信息
        Route::get('serviceprovider/get_one_agent', 'api.serviceprovider.serviceprovider/get_one_agent');//区域商户地图
        Route::get('serviceprovider/mer_distribution', 'api.serviceprovider.serviceprovider/mer_distribution');
        Route::get('serviceprovider/get_agent', 'api.serviceprovider.serviceprovider/get_agent');//佣金列表
        Route::get('serviceprovider/get_area', 'api.serviceprovider.serviceprovider/get_area');//佣金列表

        Route::get('serviceprovider/get_bill_list', 'api.serviceprovider.serviceprovider/get_bill_list');//佣金列表
        //h5中转链后的商品详情 主要包括养老金和转链
        Route::get('h5/cps_link', 'api.store.product.Other/getCpsInfo');
        //查询某个用户的第三方订单列表
        Route::get('user/third_order', 'api.store.product.Other/otherOrder');
        // 三方养老金列表
        Route::get('user/third_order_bill', 'api.store.product.Other/otherOrderBill');
        //第三方平台养老金明细记录
        Route::any('third/all', 'api.store.product.Other/allThirdOrders');

        //同程旅行
        Route::get('tc/GetToken', 'api.store.product.Tongcheng/tcGetToken');

        //小程序订单
        Route::post('mpPay/getOrder','api.store.order.MpOrder/getOrder');
        //商品分享图片
        Route::get('product_share','api.store.product.StoreProduct/product_share');
        //总共分享次数及每条的展示
        Route::get('product_share_num','api.store.product.StoreProduct/product_share_num');
        //获取share_id
        Route::get('get_product_share','api.store.product.StoreProduct/product_share_by_user');

        //分享购买
        Route::get('buy_product_share/:id','api.store.product.StoreProduct/buy_product_share');
        //拍照搜索
        Route::any('photo_search','api.baidu.BaiduAi/baiduai');
        //店铺置顶 or 店铺取消置顶
        Route::post('shop_toppong/:id','api.store.merchant.Merchant/shop_topping');
        //店铺点赞 or 店铺取消点赞
        Route::post('shop_fabulous/:id','api.store.merchant.Merchant/shop_fabulous');
        //关注列表
        Route::get('volunteer_list','api.store.product.StoreProduct/volunteer_list');
        Route::get('product_share_list','api.store.product.StoreProduct/product_share_list');
        //易熵易物模块
        Route::group('entropy',function (){
            Route::get('transfer_ali','api.entropybarter.User/transfer');//提现到支付宝
            Route::get('personals','api.entropybarter.User/personals');//个人中心
            Route::get('search_friends','api.entropybarter.User/search_friends');//搜索好友
            Route::get('take','api.entropybarter.User/take');//确认收货 线上 前端不用
            Route::get('subordinate','api.entropybarter.User/subordinate');//我的分销商
//            Route::get('product_lst','api.entropybarter.User/product_lst');//首页商品列表
            Route::get('my_distributor','api.entropybarter.User/my_distributor');//分销中心
            Route::get('withdrawal_details','api.entropybarter.User/withdrawal_details');//提现记录
            Route::get('order_lst','api.entropybarter.User/order_lst');//团队订单
            Route::get('my_order','api.entropybarter.User/my_order');//我的订单
            Route::get('order_lst_yanglao','api.entropybarter.User/order_lst_yanglao');//我的订单养老金
            Route::post('withdrawal','api.entropybarter.User/withdrawal');//提现
            Route::post('withdrawal_service','api.entropybarter.User/withdrawal_service');//提现服务费
            Route::get('category','api.entropybarter.User/category');//商户分类
            Route::get('bangding','api.entropybarter.User/bangding');//绑定推荐关系
            Route::get('xcx_bangding','api.entropybarter.User/xcx_bangding');//绑定推荐关系
            Route::get('bangding_status','api.entropybarter.User/bangding_status');//绑定推荐关系 状态
            Route::get('my_activation_code','api.entropybarter.User/my_activation_code');//我的激活码
            Route::get('share','api.entropybarter.User/share');//分享
            Route::get('ranking_list','api.entropybarter.User/ranking_list');//排行榜
            Route::get('zjky_signireward_record','api.entropybarter.User/zjky_signireward_record');//签到
            Route::get('get_zjky_signireward_record','api.entropybarter.User/get_zjky_signireward_record');//签到查询
            Route::group('personal',function (){
                Route::get('myFansOrderLst','Personal/myFansOrderLst');//查询我的粉丝订单
                Route::get('myFansOrderLst_new','Personal/myFansOrderLst_new');//查询我的佣金列表
            })->prefix('api.entropybarter.');

        });
        Route::get('get_my_integral', 'api.store.order.StoreOrder/get_my_integral');//查看特殊商户积分12
        //新版首页
        Route::group('newhome',function (){
            Route::get('sign_lst','api.newhome.Newhome/sign_lst');//签到数据
            Route::get('sgin','api.newhome.Newhome/sgin');//签到
            Route::get('sign_today','api.newhome.Newhome/sign_today');//今天是否签到
            Route::get('chenckproduct_isdaCang','api.newhome.Newhome/sign_today');//检查商品是否是大仓商品
        });
        //城中大仓
        Route::group('dacang',function (){
            Route::group('Channel',function (){
                Route::get('check','api.warehouse.Channel/check');//是否是渠道商

                Route::get('channel_code','api.warehouse.Channel/channel_code');//渠道商激活码
            });
            Route::get('chenckproduct_isdaCang/:id','api.warehouse.Product/chenckproduct_isdaCang');//检查商品是否是大仓商品
        });

        //购物车
        Route::group('area', function () {
            Route::post('/detail', 'Area/detail');//区域详情
            Route::post('/recommend_agency', 'Area/recommend_agency');//推荐代理
        })->prefix('api.area.');

        //养老销售计划  20230329
        Route::group('marketing',function(){
            Route::post('create','User/create');
            Route::post('spread','User/spread');
            Route::post('fill_code','User/fill_code');
            Route::post('create_vip_order','User/create_vip_order');
            Route::post('integral_list','User/integral_list');
            Route::post('give_integral','User/give_integral');
            Route::post('pay_marketing_integral','User/pay_marketing_integral');
        })->prefix('api.marketing.');

    })->middleware(\app\common\middleware\UserTokenMiddleware::class, true);

    //非强制登录
    Route::group(function () {
        // 注册是否显示邀请码
        Route::get('isInviteCode', 'api.Auth/isInviteCode');
        // 将 所有用户 令牌设置为失效
        Route::get('invalidateAllTokens', 'api.Auth/invalidateAllTokens');

        //商学院管理
        Route::group('business_school', function () {
            Route::post("classify_list","api.business.BusinessSchool/classify_list")->name('business_school_classify_list_api');//课程分类列表
            Route::post("list","api.business.BusinessSchool/lst")->name('business_school_lst_api');//课程列表
            Route::post("detail","api.business.BusinessSchool/detail")->name('business_school_detail_api');//课程列表

        });


        //易熵易物模块
        Route::group('entropy',function (){
            Route::get('product_lst','api.entropybarter.User/product_lst');//首页商品列表
        });
        Route::post('share/classifyList', 'api.Auth/classifyList');
        Route::post('share/shareImgesList', 'api.Auth/shareImgesList');
        Route::get('we_com', 'api.user.User/we_com');//一壶茶-客服信息
        Route::get('yihuchafenxiang', 'api.Auth/yihuchafenxiang');//一壶茶-业绩奖-服务中心分红-定时发放(每天一次)
        Route::get('yihuchashengji', 'api.Auth/yihuchashengji');//一壶茶身份升级-定时(每天一次)
        Route::get('agreement', 'api.Auth/agreement');
        Route::get('agreement_detail', 'api.Auth/agreement_detail');


        Route::get('invite_code','api.store.product.StoreProduct/invite_code');//生成邀请小程序码
        //分享点击
        Route::get('click_product_share/:id','api.store.product.StoreProduct/click_product_share');
        //删除拍照搜索的图片
        Route::any('baiduAi/deleteimg','api.baidu.BaiduAi/deleteimg');
        //批量下载图片
        Route::get('download_rcode','api.Download/download');
        //上传图片
        Route::post('upload/image/:field', 'api.Common/uploadImage');
        Route::get('applet_audit', 'api.Common/applet_audit');
        //上传BASE64图片
        Route::post('upload/imagebase64', 'api.Common/uploadBase64Image');
        //公共配置
        Route::get('config', 'api.Common/config');
        //商户入驻资料配置
        Route::get('merconfig', 'api.Common/mer_config');
        Route::get('withdrawal/config', 'api.Common/withdrawal_config');
        Route::get('about/config', 'api.Common/about_config');
        Route::get('gzc/config', 'api.Common/gzcConfig');

        //商品
        Route::group('store/product', function () {
            Route::get('seckill/select', 'StoreSeckillProduct/select');
            Route::get('seckill/lst', 'StoreSeckillProduct/lst');
            Route::get('seckill/detail/:id', 'StoreSeckillProduct/detail');
            Route::get('recommend/lst', 'StoreProduct/recommendList');
            Route::get('volunteer/lst', 'StoreProduct/volunteer');//志愿者商品
            Route::get('search_volunteer/lst', 'StoreProduct/search_volunteer');//志愿者商品
            Route::get('lst', 'StoreProduct/lst');
            Route::get('dacang_lst', 'StoreProduct/dacang_lst');
            Route::get('hot/:type', 'StoreProduct/hot');
            Route::get('category/lst', 'StoreCategory/lst');
            Route::get('category', 'StoreCategory/children');
            Route::get('brand/lst', 'StoreBrand/lst');
            Route::get('detail/:id', 'StoreProduct/detail')->middleware(\app\common\middleware\VisitProductMiddleware::class);
            Route::post('gz_pay','StoreProduct/pay');
            Route::post('getopenid','StoreProduct/getopenid');
            Route::get('/qrcode/:id', 'StoreProduct/qrcode');
            Route::get('bag', 'StoreProduct/getBagList');
            Route::get('bag/recommend', 'StoreProduct/getBagRecomm');
            Route::get('bag/explain', 'StoreProduct/getBagExplain');
            Route::get('/reply/lst/:id', 'StoreReply/lst');
            Route::get('/getQrCode/:pid/:uid', 'StoreProduct/getQrCode');//商品分享小程序二维码
        })->prefix('api.store.product.');

        //直播
        Route::group('broadcast', function () {
            Route::get('/lst', 'BroadcastRoom/lst');
            Route::get('/hot', 'BroadcastRoom/hot');
        })->prefix('api.store.broadcast.');

        //优惠券
        Route::group('coupon', function () {
            Route::get('product', 'api.store.product.StoreCoupon/coupon');
            Route::get('store/:id', 'api.store.product.StoreCoupon/merCoupon');
            Route::get('newlist', 'api.store.product.StoreCoupon/newLst');

        });

        //商户
        Route::group('store/merchant/', function () {
            Route::get('/lst', 'Merchant/lst');
            //首页店铺分类
            Route::get('getmchcate', 'Merchant/merchantcategory');
            //首页店铺列表
            Route::get('list', 'Merchant/list');
            //店铺列表
            Route::get('listindex', 'Merchant/listindex');
            Route::get('/product/lst/:id', 'Merchant/productList');
            Route::get('/product/getProductList', 'Merchant/getProductList');
            Route::get('/product/type_lst', 'Merchant/productTypeList');//特殊-根据商户查询商品
            Route::get('/product/commerce_list', 'Merchant/commerceProductList');//特殊-根据商户查询商品
            Route::get('/areaProduct/lst', 'Merchant/areaProductList');
            Route::get('/category/lst/:id', 'Merchant/categoryList');
            Route::get('/detail/:id', 'Merchant/detail');
            Route::get('/qrcode/:id', 'Merchant/qrcode');
            Route::get('/payQrCode/:id', 'Merchant/payQrCode');

            Route::get('mercat', 'Merchant/mercat');
            Route::get('mercatStore', 'Merchant/mercatStore');

            //订餐小程序商品列表
            Route::get('mpGetProduct/:id','MerchantMp/getProduct');
            //订餐小程序推荐商品
            Route::get('mpGetProductGood/:id','MerchantMp/getProductGood');

            //定时任务(测试分配逻辑)
            Route::get('/product1/lst', 'Taskorder/lst');

            //定时任务(测试股权、合伙人分红逻辑)
            Route::get('/product1/lst1', 'Taskorder/lst1');

            //定时任务(测试股权、合伙人分红逻辑)
            Route::get('/product1/lst1', 'Taskorder/lst1');
            //联创
            Route::get('/product1/lst2', 'Taskorderlianc/lst2');
            //股权分红
            Route::get('/product1/lst6', 'Taskorderguquan/lst6');

            //获取用户名(VR)
            Route::post('/product1/lst3', 'Taskordervr/lst3');
            //转VR
            Route::post('/product1/lst4', 'Taskordervr/lst4');

            //获取用户的可用VR
            Route::get('/product1/lst5', 'Taskordervr/lst5');

             //补贴佣金发放
             Route::get('/product1/lst7', 'Taskorderyj/lst7');

        })->prefix('api.store.merchant.');



        //文章
        Route::group('article', function () {
            Route::get('/lst/:cid', 'Article/lst');
            Route::get('/detail/:id', 'Article/detail');
            Route::get('/category/lst', 'ArticleCategory/lst');
            Route::get('/category/lst/:id', 'ArticleCategory/lst');
            Route::get('/list/:cid', 'Article/list');
            Route::get('/zjky_artcle', 'Article/zjky_artcle');
            //聚合 新闻拉取
            Route::get('/toutiao','Juhe/toutiao');
            //聚合 视频拉取
            Route::get('/getvideo','Juhe/Getvideo');
            //app 获取视频列表
            Route::get('/getvideos','Juhe/getvideos');
        })->prefix('api.article.');

        //管理员
        Route::group('admin', function () {
            Route::get('/statistics', '/orderStatistics');
            Route::get('/order_price', '/orderDetail');
            Route::get('/order_list', '/orderList');
            Route::get('/order/:id', '/order');
            Route::post('/mark/:id', '/mark');
            Route::post('/price/:id', '/price');
            Route::post('/delivery/:id', '/delivery');
            Route::get('/pay_price', '/payPrice');
            Route::get('/pay_number', '/payNumber');
        })->prefix('api.user.Admin');
        Route::get('excel/download/:id', 'merchant.store.order.Order/download');

        /*获取地址*/
        Route::group('city', function () {
            Route::get('province', 'MerchantIntention/getProvince');
            Route::get('city/:id', 'MerchantIntention/getCity');
            Route::get('area/:id', 'MerchantIntention/getArea');
            Route::get('street/:id', 'MerchantIntention/getStreet');
            Route::get('businesscategory', 'MerchantIntention/getBusinessCategory');
        })->prefix('api.store.merchant.');

        //查询订单API
        Route::post('merchant/queryOrder', 'api.merchant.order.OrderMerchant/queryOrder');
        Route::post('merchant/queryOrders', 'api.merchant.order.OrderMerchant/queryOrders');
        //关闭订单API
        Route::post('merchant/closeOrder', 'api.merchant.order.OrderMerchant/closeOrder');
        //申请退款API
        Route::post('merchant/refundApply', 'api.merchant.order.OrderMerchant/refundApply');
        //退款查询API
        Route::post('merchant/refundQuery', 'api.merchant.order.OrderMerchant/refundQuery');
        //账户余额查询  
        Route::post('merchant/balanceQuery', 'api.merchant.order.OrderMerchant/balanceQuery');
        //商户信息 充值送
        Route::get('merchant/get_mer_info', 'api.merchant.Merchant/get_mer_info');

        //收款码检测
        Route::post('merchantcheckcodeid/:id', 'api.store.merchant.MerchantIntention/checkCodeId');
        //第三方 淘宝商品
        Route::get('tb/list', 'api.store.product.TaoBao/dataokeGoodsList');
        //新版首页
        Route::group('newhome/nologin',function (){
            Route::get('product','api.newhome.Newhome/product_lst');//商品列表
            Route::get('free_product','api.newhome.Newhome/free_product');//每日免费商品
            Route::get('banner/:type','api.newhome.Newhome/banner');//大仓店铺列表
            Route::get('jiesuanpension','api.newhome.Newhome/jiesuanpension');//大仓店铺列表
        });
        //城中大仓
        Route::group('dacang/nologin',function (){
            Route::get('classify','api.warehouse.Home/classify');//大仓列表分类
            Route::get('da_cang_lst','api.warehouse.Home/da_cang_lst');//大仓列表
            Route::get('da_cang_product_lst','api.warehouse.Home/da_cang_product_lst');//大仓商品列表
            Route::get('introduce/:id','api.warehouse.Home/introduce');//大仓介绍
            Route::get('dc_home_product/:id','api.warehouse.Home/dc_home_product');//大仓首页商品
            Route::get('dc_home_merchant/:id','api.warehouse.Home/dc_home_merchant');//大仓店铺列表
            Route::get('seckill','api.warehouse.Product/seckill');//大仓秒杀商品

            Route::get('vip_one_yuan_product','api.warehouse.Product/vip_one_yuan_product');//会员一元购商品
            Route::get('vip_exclusive_product','api.warehouse.Product/vip_exclusive_product');//会员专享商品
        });
        Route::group('recommend',function (){
            Route::post('lists', '/lsts');
            Route::post('detail', '/detail');
            Route::post('share', '/share');
            Route::post('wx_config', '/wx_config');
            Route::post('add_madia', '/add_madia');

        })->prefix('api.warehouse.Recommend');


        Route::get('jtt/detail', 'api.store.product.Jt/goodsDetail');//京推推

    })->middleware(\app\common\middleware\UserTokenMiddleware::class, false);

    //获取拼多多分类
    Route::get('pdd/cat', 'api.store.product.TaoKe/pdd_cat')->middleware(\app\common\middleware\UserTokenMiddleware::class, false);
    //获取拼多多商品详情
    Route::get('pdd/detail', 'api.store.product.TaoKe/pdd_detail')->middleware(\app\common\middleware\UserTokenMiddleware::class, false);
    //唯品会商品详情
    Route::get('vip/detail', 'api.store.product.Vip/vip_detail')->middleware(\app\common\middleware\UserTokenMiddleware::class, false);
    //苏宁详情
    Route::get('su/detail/:id', 'api.store.product.Su/goodsDetail')->middleware(\app\common\middleware\UserTokenMiddleware::class, false);
    //抖音详情
    Route::get('dy/get_detail', 'api.store.product.Douyin/dy_detail');

    //微信支付回调
    Route::any('notice/wechat_pay', 'api.Common/wechatNotify')->name('wechatNotify');
    //公证处入账确认回调
    Route::any('gzc/notify', 'api.merchant.order.GzcNotify/notify')->name('gzcNotify');
    //小程序支付回调
    Route::any('notice/routine_pay', 'api.Common/routineNotify')->name('routineNotify');
    //支付宝支付回调alipay/login
    Route::any('notice/alipay_pay', 'api.Common/alipayNotify')->name('alipayNotify');
    //支付宝支付回调支付代理费用
    Route::any('notice/alipay_agent', 'api.Common/aliPayAgentNotify')->name('aliPayAgentNotify');
    //城市列表
    Route::get('system/city/lst', 'merchant.store.shipping.City/getlist');
    //最新五级城市联动列表
    Route::get('system/city/new_five_lst', 'merchant.store.shipping.City/getNewFiveList');
    //默认地址是否是五级地址
    Route::get('system/city/get_default_is_five', 'merchant.store.shipping.City/getDefaultisFive');
    //城市列表供应链
    Route::get('system/city/new_lst', 'merchant.store.shipping.City/newgetlist');
    //热门搜索
    Route::get('common/hot_keyword', 'api.Common/hotKeyword');
    //推荐页 banner
    Route::get('common/hot_banner/:type', 'api.Common/hotBanner');
    //退款原因
    Route::get('common/refund_message', 'api.Common/refundMessage');
    //充值赠送
    Route::get('common/recharge_quota', 'api.Common/userRechargeQuota');
    //快递公司
    Route::get('common/express', 'api.Common/express');
    //图片转 base64
    Route::post('common/base64', 'api.Common/get_image_base64');
    //个人中心菜单
    Route::get('common/menus', 'api.Common/menus');
    //首页数据
    Route::get('common/home', 'api.Common/home');
    //首页数据
    Route::get('common/home_banner_new', 'api.Common/home_banner_new');
    //会员中心banner
    Route::get('common/user_banner', 'api.Common/user_banner');
    //iOS 送审状态
    Route::get('common/iOSExamineStatsu_api/:version', 'api.Common/iOSExamineStatsu_api');
    //代理申请配置
    Route::get('common/agent_config', 'api.Common/agent_config');
    //版本更新
    Route::get('common/edition', 'api.Common/about_change');
    //版本更新
    Route::get('common/edition_yys', 'api.Common/about_change_yys');
    //浏览量
    Route::post('common/visit', 'api.Common/visit');
    //用户反馈类型
    Route::get('common/feedback_type', 'api.user.FeedBackCategory/lst');
    Route::get('common/feedback_type_new', 'api.user.FeedBackCategory/new_lst');
    //首页金刚区
    Route::get('common/home_quick_link', 'api.Common/home_quick_link');
    //登录
    Route::post('auth/login', 'api.Auth/login');
    Route::post('auth/phone_name', 'api.Auth/phone_name');
    //获取微信绑定手机号
    Route::post('auth/applet_phone', 'api.Auth/applet_phone');
    //一键登录
    Route::post('auth/yijianlogin', 'api.Auth/yijianlogin');
    //短信注册
    Route::post('auth/register', 'api.Auth/register');
    //注册后绑定邀请人
    Route::post('auth/registerBindSpread', 'api.Auth/registerBindSpread');
    //测试账号
    Route::post('auth/register_all', 'api.Auth/register_all');
    //java商户端调用用户注册
    Route::post('auth/mer_java_register', 'api.Auth/merJavaRegister');

    //三方调用用户注册
    Route::post('third/register', 'api.Third/thirdRegister');
    //三方入账公证处
    Route::post('third/gzc', 'api.Third/thirdGzc');
    //三方入账公证处
    Route::post('third/gzcList', 'api.Third/thirdGzcList');
    //三方
    Route::post('third/certification', 'api.Third/thirdCertification');
    //三方
    Route::post('third/payBalance', 'api.Third/payBalance');
    //三方(废弃)
    Route::post('third/payCreate', 'api.Third/payCreate');

    //找回密码
    Route::post('auth/reset', 'api.Auth/reset');
    //短信登录
    Route::post('auth/smslogin', 'api.Auth/smsLogin');
    Route::post('auth/query_uid', 'api.Auth/query_uid');//一壶茶查询邀请人信息
    Route::post('auth/query_phone', 'api.Auth/query_phone');//一壶茶查询用户是否注册
    //微信授权
    Route::get('auth/wechat', 'api.Auth/auth');
    //小程序授权
    Route::post('auth/mp', 'api.Auth/mpAuth');

    // 获取验签公钥
    // openssl genrsa -out request_private_key.pem 2048
    // openssl rsa -in request_private_key.pem -pubout -out request_public_key.pem
    Route::get('auth/getPublicKey', 'api.Auth/getPublicKey');

    //验证码
    Route::post('auth/verify', 'api.Auth/verify');
    Route::post('auth/sendSms', 'api.Auth/verify');
        // ->middleware(SignatureMiddleware::class)
        // ->middleware(RateLimitMiddleware::class);
    //微信配置
    Route::get('wechat/config', 'api.Wechat/jsConfig');
    //图片验证码
    Route::get('captcha', 'api.Auth/getCaptcha');


    //返回第三方分类
    Route::get('get_third_category','api.store.product.ThirdCategory/get_category');
    // 定时获取拼多多商品
    // Route::get('get_pdd_list','api.store.product.DaTaoKe/pdd_cron');
    //获取拼多多商品
    Route::get('pdd/list', 'api.store.product.TaoKe/pdd_list');
    Route::get('pdd/orderlist', 'api.store.product.TaoKe/getOrder');
    Route::get('pdd/orderlisttime', 'api.store.product.TaoKe/getOrderTime');
    Route::get('pdd/pddMoney', 'api.store.product.TaoKe/pddMoney');
    Route::get('third/unsettled', 'api.store.product.TaoKe/unsettled');
    Route::get('pdd/getRealOrder', 'api.store.product.TaoKe/getRealOrder');
    Route::get('pdd/ceshi', 'api.store.product.TaoKe/ceshi');
    //获取拼多多商品转链
    Route::get('pdd/promotelink', 'api.store.product.TaoKe/pdd_promotelink');

    // 定时获取唯品会商品
    Route::get('vip/get_vip_list', 'api.store.product.Vip/vip_cron');
    //唯品会列表
    Route::get('vip/goods', 'api.store.product.Vip/vip_goods');

    //淘宝回调路由
    Route::get('tb/callback', 'api.store.product.TaoBao/callback');
    //测试路由
    Route::get('tb/test', 'api.store.product.TaoBao/dataokeGoodsList');
    Route::get('vip/test', 'api.store.product.Vip/test');

    //唯品会用户创建推广位
    Route::get('vip/createpid', 'api.store.product.Vip/create_pid');
    /*拉取唯品会新订单*/
    Route::get('vip/orderlist', 'api.store.product.Vip/OrderVip');
    /*唯品会结算 测试*/
    Route::get('vip/vip_money', 'api.store.product.Vip/vipMoney');
    //更新唯品会订单状态
    Route::any('vip/order_update', 'api.store.product.Vip/updateVipOrder');

    // 京东
    // if(true){
        // 京东联盟
        Route::any('get_jd_goods_list','api.store.product.Jd/get_jd_goods_list');//获取京东联盟商品入库，定时任务
        /*京东列表*/
        Route::get('jd/list', 'api.store.product.Jd/jdList'); // 京东联盟
        Route::get('jd/orderlist', 'api.store.product.Jd/orderList');// 京东联盟
        Route::get('jd/JdMoney', 'api.store.product.JD/JdMoney');
        // 京东联盟
        Route::get('jd/detail', 'api.store.product.Jd/jdDetail')->middleware(\app\common\middleware\UserTokenMiddleware::class, false);;
        Route::get('jd/search', 'api.store.product.Jd/search');
        Route::get('jd/chang_link', 'api.store.product.Jd/changLinkApi')->middleware(\app\common\middleware\UserTokenMiddleware::class, false);//京推推
    // }else{
    //     /*京东商品详情*/
    //     Route::any('get_jd_goods_list','api.store.product.Jt/get_jd_goods_list');//获取京东商品入库，定时任务
    //     Route::get('jd/list', 'api.store.product.Jt/goodsList');//京推推
    //     Route::get('jd/orderlist', 'api.store.product.Jt/orderRowList');//京推推
    //     Route::get('jd/old_jd_order', 'api.store.product.Jt/old_jd_order');//京推推旧订单
    //     //京东返利
    //     Route::get('jd/JdMoney', 'api.store.product.Jt/JdMoney');
    //     /*京东商品详情*/
    //     Route::get('jd/detail', 'api.store.product.Jt/goodsDetail')->middleware(\app\common\middleware\UserTokenMiddleware::class, false);//京推推
    //     Route::get('jd/chang_link', 'api.store.product.Jt/changLinkApi')->middleware(\app\common\middleware\UserTokenMiddleware::class, false);//京推推
    //     Route::get('jd/search', 'api.store.product.Jt/search');//京推推
    // }


    Route::get('tb/material', 'api.store.product.TaoBao/getMaterial');
    Route::get('tb/order', 'api.store.product.DaTaoKe/getOrder');
    Route::get('tb/getOrderOnTime', 'api.store.product.DaTaoKe/getOrderOnTime');
    Route::get('tb/tbMoney', 'api.store.product.DaTaoKe/settleAction');
    /*美团商品*/
    Route::get('mei/help_link/:id', 'api.store.product.Meituan/help_link');
    Route::get('mei/meituan_order', 'api.store.product.Meituan/meituan_order');
    Route::get('mei/getgoods', 'api.store.product.Meituan/getgoods');
    Route::get('mei/help_code/:id', 'api.store.product.Meituan/help_code');

    /*苏宁商品*/
    Route::get('su/get_su_list', 'api.store.product.Su/su_cron');
    Route::get('su/get_su_category', 'api.store.product.Su/su_get_category');
    Route::get('su/list', 'api.store.product.Su/GoodList');
    Route::get('su/order', 'api.store.product.Su/orderList');
    Route::get('su/SuMoney', 'api.store.product.Su/SuMoney');
    Route::get('su/search2', 'api.store.product.Su/search');
    Route::get('su/detail2/:id', 'api.store.product.Su/goodsDetail');



    //云选联盟
    Route::group('yunxuan', function () {
        Route::get('list', '/lst');
    })->prefix('api.store.product.Yunxuan');


    //话费充值
    Route::group('huafei', function () {
        Route::post('denomination', '/denomination');
        Route::post('recharge', '/recharge');
        Route::post('record', '/record');
    })->prefix('api.store.service.Huafei')->middleware(\app\common\middleware\UserTokenMiddleware::class, false);

    //话费充值补发
    Route::post('huafei/bufa', 'api.store.service.Huafei/bufa');

    //话费充值回调通知
    Route::post('huafei/notify', 'api.store.service.Huafei/notify');

    //订单数据补充
    Route::post('order/buchong', 'api.notify/buchong');


    //城市代码
    Route::get('su/city', 'api.store.product.Su/cityCode');


    /*系统公告列表*/
    Route::get('notice/list', 'api.article.Article/noticeLst');
    Route::get('notice/detail/:id', 'api.article.Article/noticeDetail');

    /*协议*/
    Route::get('xieyi/detail', 'api.user.User/xieyi');
    /*协议*/
    Route::get('guize/detail', 'api.user.User/guize');


    /*营业执照识别*/
    Route::get('bank/business', 'api.user.UserBank/businessLicense');
    /*银行卡识别*/
    Route::get('bank/get', 'api.user.UserBank/bankCardGet');
    Route::get('bank/account', 'api.user.UserBank/account');
    /*手机号验证*/
    Route::get('phone/check', 'api.Auth/phoneCheck');
    //支付宝sign
    Route::get('ali/sign', 'api.Auth/aliSign');
    //支付宝验证
    Route::get('ali/check', 'api.Auth/aliCheck');
    //微信验证
    Route::get('wechat/check', 'api.Auth/wechatCheck');
    //授权绑定
    Route::get('third/binding', 'api.Auth/binding');
    Route::get('third/binding_yhc', 'api.Auth/binding_yhc');
    Route::get('wechat/detail', 'api.Auth/getWechat');

    //支付宝换取授权
    Route::any('ali/aliSign', 'api.user.User/alipayAuthorization');
    //微信换取授权
    Route::any('wechat/wechatAuthorization', 'api.user.User/wechatAuthorization');
    //聚合公众号支付API
    Route::post('merchant/jsapiPay', 'api.merchant.order.OrderMerchant/jsapiPay');
    Route::post('merchant/HF/:id', 'api.merchant.order.OrderMerchant/HF');
    //聚合公众号支付API回调
    Route::any('jsapiPay/notify/:type', 'api.merchant.order.OrderMerchant/notify');
    //聚合公众号支付API申请退款
    Route::any('jsapiPay/refundApply', 'api.merchant.order.OrderMerchant/refundApply');
    //聚合公众号支付申请退款回调
    Route::any('jsapiPay/refund_notify/:type', 'api.merchant.order.OrderMerchant/refundNotify');
    //创建订单
    Route::post('merchant/createOrder', 'api.merchant.order.OrderMerchant/createOrder');
    //语音播报状态修改
    Route::post('merchant/broadcast', 'api.merchant.order.OrderMerchant/broadcast');
    //海科商户入网通知
    Route::any('merchant/apply_notice', 'api.merchant.apply.MerchantApply/notify');
    //海科商户退汇通知
    Route::any('merchant/haikeSettleStatusNotify', 'api.merchant.apply.MerchantApply/haikeSettleStatusNotify');
    //海科商户入驻查询支行
    Route::get('merchant/getBranchCode', 'api.merchant.apply.MerchantApply/getBranchCode');
    //会员绑定手机号 确认 拉卡拉
    Route::post('merchant/createMepdember', 'api.merchant.apply.MerchantApply/createMepdember');
    //首笔支付认证确认_对公卡
    Route::post('merchant/memberBankVerify', 'api.merchant.apply.MerchantApply/memberBankVerify');
    //开通商户确认
    Route::post('merchant/createMerchantConfirm', 'api.merchant.apply.createMerchantConfirm/memberBankVerify');
    //小程序登录
    Route::post('userMp/login','api.user.UserMp/getUser');
    //小程序code交换unionId
    Route::post('userMp/getUserUnionid','api.user.UserMp/getUserUnionid');
    //小程序获取用户手机号码并绑定
    Route::post('userMp/getPhoneToBind','api.user.UserMp/getPhoneToBind');

    //小程序支付
    Route::post('mpPay/jsapiPay','api.store.order.MpOrder/jsapiPay');

    //小程序支付回调
    Route::post('mpPay/notify','api.store.order.MpOrder/notify');

    Route::post('mp/test','api.store.order.MpOrder/test');
    Route::post('mp/test1','api.store.order.MpOrder/test1');
    Route::post('mp/merchantWithdrawalSetting','api.store.order.MpOrder/merchantWithdrawalSetting');

    Route::get('wx/pay', 'api.Wechat/wxPay');

    Route::get('createUserNumberAll', 'api.Auth/createUserNumberAll');

    //清除语音播报的内容（超过五分钟的）
    Route::get('merchant/del', 'api.merchant.order.OrderMerchant/del');
    //渠道结算
    Route::get('settlementQuDao', 'api.store.order.StoreOrder/settlementQuDao');

    //首信易入网
    Route::get('sxyApply/:id', 'admin.system.merchant.MerchantIntention/sxyApply');
    Route::get('UpgradeToMerchant/:id/:type', 'admin.system.merchant.MerchantIntention/UpgradeToMerchant');
    //首信易入网批量
    Route::get('sxyApplyAll', 'admin.system.merchant.MerchantIntention/sxyApplyAll');
    //首信易回调
    Route::any('notify/:type', 'api.merchant.sxy.Access/notify');//回调
    Route::any('test1111', 'api.merchant.sxy.Access/test1111');//回调
    ////app小程序电影票支付
    Route::get('dy_pay_wechat_mp', 'api.merchant.sxy.Access/dy_pay_wechat_mp');
    //app小程序支付
    Route::get('sxy_pay_wechat_mp', 'api.merchant.sxy.Access/pay_wechat_mp');
    //app小程序话费支付
    Route::get('hf_pay_wechat_mp', 'api.merchant.sxy.Access/hf_pay_wechat_mp');
    //app小程序支付年费
    Route::get('pay_annual_cost', 'api.merchant.sxy.Access/pay_annual_cost');
    //app小程序支付激活码费用
    Route::get('pay_activation_code', 'api.merchant.sxy.Access/pay_activation_code');
    //app小程序支付激活码费用
    Route::get('pay_channel', 'api.merchant.sxy.Access/pay_channel');
    //提现回调
    Route::any('withdrawal_notify/:type', 'api.user.UserExtract/withdrawal_notify');
    //激活码退款
    Route::any('switchStatusjhm/:id', 'merchant.store.order.RefundOrder/switchStatusjhm');
    //渠道商退款
    Route::any('switchStatusqds/:id', 'merchant.store.order.RefundOrder/switchStatusqds');
    //年费退款
    Route::any('switchStatusnf/:id', 'merchant.store.order.RefundOrder/switchStatusnf');

    //退款测试
    Route::get('sxy_pay_refund', 'api.merchant.sxy.Access/refund');
    //app首页养老金快报
    Route::get('roll_yanglaojin', 'api.Common/roll_yanglaojin');
    //增加激活码
    Route::get('add_activation_code', 'api.Common/add_activation_code');
    //回调接口
    Route::any('hf_notify/:type','api.Notify/notify');

    Route::get('ali_transfer', 'api.entropybarter.User/transfer');

    Route::get('zhongjiankangyan_order', 'api.store.order.StoreOrder/zhongjiankangyan_order');//中健康养分账  只需执行一次
    Route::get('dandfenzhang_999/:order_sn', 'api.store.order.StoreOrder/dandfenzhang_999');//999大仓会员商品分账  只需执行一次

    Route::get('sxy_save_bank', 'api.merchant.sxy.Access/save_bank');//中健康养修改首信易银行信息  只需执行一次

    Route::get('refund_sxy_order_id', 'api.Common/refund_sxy_order_id');// 首信易订单退款

    Route::get('getqrcode', 'api.Common/getqrcode');// 生成特定页面小程序二维码


    Route::get('user_visit_day_count', 'api.Common/user_visit_day_count');

    Route::get('pension_jiesuan','api.Common/pension_jiesuan');//每日结算00点结算所有未结算的并实名注册的养老金
    Route::get('dacangs/:id','api.store.order.StoreOrder/dacangs');//test
    Route::get('close_seckill','api.warehouse.Product/close_seckill');//每小时 执行关闭秒杀任务
    Route::post('send_order/:id','api.douhuomall.Order/send_order');//测试下单 供应链

    Route::get('get_goods_list','api.douhuomall.Take/get_goods_list');//测试拉去唯微宝商品

    Route::get('pay_demo', 'api.merchant.sxy.Access/pay_demo');

    Route::get('refund_test', 'api.store.order.StoreOrder/refund_test');//首信易测试订单退款

    Route::get('web_article_list', 'api.Web/article_list');//官网文章列表

    // 每天凌晨抖音定时获取商品列表
    Route::get('dy/dy_cron','api.store.product.Douyin/douyin_cron');
    // 抖音商品列表
    Route::get('dy/get_list', 'api.store.product.Douyin/dy_list');
    // 抖音一元购商品列表
    Route::get('dy/get_one_yuan_list','api.store.product.Douyin/dy_one_yuan_list');
    // 抖音一分购商品列表
    Route::get('dy/get_one_fen_list','api.store.product.Douyin/dy_one_fen_list');
    // wx调用JS-SDK获取签名
    Route::post('mp_link','api.wx.WxSdk/mp_link');
    Route::post('get_tdyl_mp_link','api.wx.WxSdk/get_tdyl_mp_link');
    Route::get('get_gx_link','api.wx.WxSdk/get_gx_link');
    // dy商品转链
    Route::get('dy/dy_transfer', 'api.store.product.Douyin/dy_transfer');
    // 抖音定时获取支付订单
    Route::get('dy/cron_order','api.store.product.Douyin/dy_order');
    // 抖音定时获取退款订单
    Route::get('dy/cron_refund_order','api.store.product.Douyin/dy_refund_order');
    // 抖音定时获取结算订单
    Route::get('dy/cron_settle_order','api.store.product.Douyin/dy_settle_order');
    // 抖音定时返利
    Route::get('dy/cron_rebate','api.store.product.Douyin/dyMoney');
    //批量确认收货（不准调用）
    Route::get('wbverK44fPNxwpZc/auto_take','api.store.order.StoreOrder/auto_take');

    Route::group('marketing',function(){
        Route::post('pay_marketing','User/pay_marketing');
        Route::get('divvy','User/divvy');
    })->prefix('api.marketing.');
    Route::post('pay_user_annual',"api.user.User/pay_user_annual");//用户年费订单支付
    Route::post('pay_user_annual_offline',"api.user.User/pay_user_annual_offline");//用户年费订单支付  线下


    Route::post('get_auth_token',"api.Auth/get_auth_token");//获取阿里云JwtToken
    Route::post('get_phone_with_token',"api.Auth/get_phone_with_token");//H5阿里云获取手机号码

    Route::get('bonus', 'api.cron.CommissionCron/bonus');//奖金
    Route::get('area_manage_details', 'api.cron.CommissionCron/area_manage_details');//代理区域收益   推荐代理收益   Route::get('invite_agency_award', 'api.cron.CommissionCron/invite_agency_award');//推荐代理收益
    Route::get('invite_tuanzhang_levelup', 'api.cron.CommissionCron/invite_tuanzhang_levelup');//邀请小区团长升级奖
    Route::get('member_up', 'api.cron.CommissionCron/member_up');//升级

    Route::get('make_product_share_cache', 'api.cron.CommissionCron/make_product_share_cache');//生成商品分享缓存
    Route::get('tease_user_count', 'api.cron.CommissionCron/tease_user_count');//梳理每个人的公排人数
    Route::get('down_gong_product', 'api.cron.CommissionCron/downGongProduct');//下架微唯宝已下架的商品
    Route::get('platform_income_detail_get', 'api.cron.CommissionCron/platform_income_detail_get');//插入平台收支明细
    Route::get('clear_platform_income_detail', 'api.cron.CommissionCron/clear_platform_income_detail');//删除平台收支明细
    Route::get('take', 'api.cron.CommissionCron/take');//插入平台收支明细
    Route::get('cesexx', 'api.cron.CommissionCron/cesexx');
    Route::get('order/group_detail/:id', 'api.store.order.StoreOrder/group_detail');//订单详情
    Route::get('commission_cron_bonus', 'api.cron.CommissionCron/bonus');
    Route::get('platform_income_detail_get_new', 'api.cron.CommissionCron/platform_income_detail_get_new');//插入平台收支明细

    //电影
    Route::group('movie', function () {
        Route::get('city', '/getMovieCity'); // 城市列表
        Route::get('area', '/getArea'); // 城区列表
        Route::get('cinema', '/getCinema'); // 影院列表
        Route::get('film', '/getFilm'); // 影片列表
        Route::get('filmsched_date', '/getFilmSchedDate'); // 影片场次日期
        Route::get('film_sched', '/getFilmSched'); // 根据影片查询排片影院
        Route::get('cinemafilm_sched', '/getCinemaFilmSched'); // 根据影院影片场次日期查询场次列表
        Route::get('sched_seat', '/getSchedSeat'); // 获取场次座位
    })->prefix('api.movie.Movie');

    //电影 - 下单业务
    Route::group('movie', function () {
        Route::post('submit_order', '/submitOrder');
//        Route::post('confirm_order', '/confirmOrder');
        Route::get('order_list', '/getOrderList'); // 订单列表
        Route::get('order_info', '/getOrderInfo');
    })->prefix('api.movie.Movie')->middleware(\app\common\middleware\UserTokenMiddleware::class, false);
})
    ->middleware(\app\common\middleware\AllowOriginMiddleware::class)
    ->middleware(\app\common\middleware\InstallMiddleware::class)
    ->middleware(\app\common\middleware\CheckSiteOpenMiddleware::class);
Route::get('/test/assignment', 'api.store.merchant.Taskorderguquan/assignment');
Route::get('test_hehuoren', 'api.store.merchant.TaskPartnerProfits/partnerProfits');
Route::get('test_resendUnissued', 'api.store.merchant.TaskPartnerProfits/resendUnissued');
Route::get('test_hehuoren_zero', 'api.store.merchant.TaskZeroLinePartnerProfits/partnerProfitsByZeroLine');
Route::get('test_guquan', 'api.store.merchant.Taskorderguquan/lst6');
Route::get('test_lianchuang', 'api.store.merchant.Taskorderlianc/lst2');
Route::get('test_lianchuang_zero', 'api.store.merchant.TaskZeroLineOrderLianc/lst2');
Route::get('test_external', 'api.store.merchant.Taskorderlianc/getUserPoints');
Route::any('/share', function () {
    return view(app()->getRootPath() . 'public/share/register.html');
});

Route::any('/scrn', function () {
    return view(app()->getRootPath() . 'public/scrn/index.html');
});

Route::any('/', function () {
    $DB = DIRECTORY_SEPARATOR;

    return view(app()->getRootPath() . 'public' . $DB . 'index.html');
})->middleware(\app\common\middleware\InstallMiddleware::class)
    ->middleware(\app\common\middleware\CheckSiteOpenMiddleware::class);

Route::group('/pages', function () {
    Route::miss(function () {
        $DB = DIRECTORY_SEPARATOR;

        return view(app()->getRootPath() . 'public' . $DB . 'index.html');
    });
})->middleware(\app\common\middleware\InstallMiddleware::class)
    ->middleware(\app\common\middleware\CheckSiteOpenMiddleware::class);

// 共富分红
Route::get('share_prosperity_partner', 'api.shareProsperity.Task/partnerProfits');
// 共富感恩奖
Route::get('share_prosperity_thank', 'api.shareProsperity.Task/thankProfits');
// 共富奖
Route::get('share_prosperity_group', 'api.shareProsperity.Task/groupProfits');
Route::get('share_prosperity_test', 'api.shareProsperity.Task/testProfits');

// 分红(万人团平均分)
Route::get('share_prosperity_test_group', 'api.shareProsperity.Task/share_prosperity_test_group');
// 分红(合伙人平均分)
Route::get('share_prosperity_test_partner', 'api.shareProsperity.Task/share_prosperity_test_partner');


// 测试接口
Route::get('/test', 'api.Test/test');
